org.springframework.batch.support

## Class DefaultPropertyEditorRegistrar

- java.lang.Object
- - org.springframework.batch.support.DefaultPropertyEditorRegistrar

- All Implemented Interfaces:
    org.springframework.beans.PropertyEditorRegistrar
  Direct Known Subclasses:
    BeanWrapperFieldSetMapper

      public class DefaultPropertyEditorRegistrar
      extends java.lang.Object
      implements org.springframework.beans.PropertyEditorRegistrar

  A re-usable `PropertyEditorRegistrar` that can be used wherever one needs to register custom `PropertyEditor` instances with a `PropertyEditorRegistry` (like a bean wrapper, or a type converter). It is not thread safe, but useful where one is confident that binding or initialisation can only be single threaded (e.g in a standalone application with no threads).
  Author:
    Dave Syer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPropertyEditorRegistrar()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerCustomEditors(org.springframework.beans.PropertyEditorRegistry registry)` Register the custom editors with the given registry.
    `void` | `setCustomEditors(java.util.Map<? extends java.lang.Object,? extends java.beans.PropertyEditor> customEditors)` Specify the `custom editors` to register.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultPropertyEditorRegistrar

          public DefaultPropertyEditorRegistrar()

  - ### Method Detail

    - #### registerCustomEditors

          public void registerCustomEditors(org.springframework.beans.PropertyEditorRegistry registry)

      Register the custom editors with the given registry.
      Specified by:
        `registerCustomEditors` in interface `org.springframework.beans.PropertyEditorRegistrar`
      See Also:
        `PropertyEditorRegistrar.registerCustomEditors(org.springframework.beans.PropertyEditorRegistry)`

    - #### setCustomEditors

          public void setCustomEditors(java.util.Map<? extends java.lang.Object,? extends java.beans.PropertyEditor> customEditors)

      Specify the `custom editors` to register.
      Parameters:
        `customEditors` - a map of Class to PropertyEditor (or class name to PropertyEditor).
      See Also:
        `CustomEditorConfigurer.setCustomEditors(Map)`